Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 23-02-2018 13:29:28

Bozy
Membre
Distrib. : Debian Stretch 9.3
Noyau : Linux 4.9.0-6-amd64
(G)UI : kde
Inscription : 23-02-2018

[Résolu] Update sous debian stretch

ca fait quelque jour que je suis bloque par ce probleme, a chaque fois que je fais update, j'ai l'erreur ci-desous. je peux plus installer du paquet a partir de apt-get,
merci d'avance de votre aide

sudo apt-get update





Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease                                                                                                                                                                    
Ign:2 http://deb.debian.org/debian stretch InRelease                                                                                                                        
Atteint:3 http://download.virtualbox.org/virtualbox/debian stretch InRelease                                                              
Atteint:4 http://security.debian.org/debian-security stretch/updates InRelease                                                            
Err:3 http://download.virtualbox.org/virtualbox/debian stretch InRelease                                                                  
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY A2F683C52980AECF
Err:4 http://security.debian.org/debian-security stretch/updates InRelease                      
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553
Atteint:6 http://dl.google.com/linux/chrome/deb stable Release                                  
Réception de:7 http://deb.debian.org/debian stretch-updates InRelease [91,0 kB]
Err:8 http://dl.google.com/linux/chrome/deb stable Release.gpg  
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 1397BC53640DB551
Err:7 http://deb.debian.org/debian stretch-updates InRelease          
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
Atteint:9 https://download.sublimetext.com apt/dev/ InRelease        
Atteint:10 https://repo.skype.com/deb stable InRelease                
Err:9 https://download.sublimetext.com apt/dev/ InRelease            
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY F57D4F59BD3DF454
Atteint:11 https://packages.sury.org/php stretch InRelease            
Err:10 https://repo.skype.com/deb stable InRelease                    
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 1F3045A5DF7587C3
Err:11 https://packages.sury.org/php stretch InRelease                
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY AC0E47584A7A714D
Atteint:12 https://deb.nodesource.com/node_8.x stretch InRelease                                                      
Err:12 https://deb.nodesource.com/node_8.x stretch InRelease                                                                                      
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 1655A0AB68576280
Atteint:13 http://deb.debian.org/debian stretch Release                                                                                            
Ign:5 http://cdn-fastly.deb.debian.org/debian stretch InRelease      
Err:14 http://deb.debian.org/debian stretch Release.gpg      
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500
Atteint:15 http://cdn-fastly.deb.debian.org/debian stretch Release
Err:16 http://httpredir.debian.org/debian stretch Release.gpg
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500
Lecture des listes de paquets... Fait
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://download.virtualbox.org/virtualbox/debian stretch InRelease: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY A2F683C52980AECF
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://security.debian.org/debian-security stretch/updates InRelease: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://dl.google.com/linux/chrome/deb stable Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 1397BC53640DB551                                                                                                                                      
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://deb.debian.org/debian stretch-updates InRelease: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010                                                                                                        
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://download.sublimetext.com apt/dev/ InRelease: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY F57D4F59BD3DF454                                                                                                                                      
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://repo.skype.com/deb stable InRelease: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 1F3045A5DF7587C3                                                                                                                                              
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://packages.sury.org/php stretch InRelease: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY AC0E47584A7A714D                                                                                                                                          
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://deb.nodesource.com/node_8.x stretch InRelease: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 1655A0AB68576280                                                                                                                                    
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://deb.debian.org/debian stretch Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500                                                                                        
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://cdn-fastly.deb.debian.org/debian stretch Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500                                                                            
W: Impossible de récupérer http://security.debian.org/debian-security/dists/stretch/updates/InRelease  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 9D6D8F6BC857C906 NO_PUBKEY 8B48AD6246925553
W: Impossible de récupérer http://deb.debian.org/debian/dists/stretch-updates/InRelease  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010
W: Impossible de récupérer https://deb.nodesource.com/node_8.x/dists/stretch/InRelease  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 1655A0AB68576280
W: Impossible de récupérer https://packages.sury.org/php/dists/stretch/InRelease  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY AC0E47584A7A714D
W: Impossible de récupérer https://repo.skype.com/deb/dists/stable/InRelease  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 1F3045A5DF7587C3
W: Impossible de récupérer https://download.sublimetext.com/apt/dev/InRelease  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY F57D4F59BD3DF454
W: Impossible de récupérer http://download.virtualbox.org/virtualbox/debian/dists/stretch/InRelease  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY A2F683C52980AECF
W: Impossible de récupérer http://dl.google.com/linux/chrome/deb/dists/stable/Release.gpg  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 1397BC53640DB551
W: Impossible de récupérer http://deb.debian.org/debian/dists/stretch/Release.gpg  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500
W: Impossible de récupérer http://httpredir.debian.org/debian/dists/stretch/Release.gpg  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 8B48AD6246925553 NO_PUBKEY 7638D0442B90D010 NO_PUBKEY EF0F382A1A7B6500
W: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
 

Dernière modification par Bozy (26-02-2018 10:56:42)

Hors ligne

#2 23-02-2018 13:54:42

èfpé
Membre
Inscription : 10-07-2016

Re : [Résolu] Update sous debian stretch

Bonjour également et bienvenue Bozy,

Bon ben c'est du lourd, on va peut-être procéder par étapes, et pour commencer :

ls -lR /etc/apt


On défriche, la réinstallation bête du paquet debian-archive-keyring peut attendre.

Hors ligne

#3 23-02-2018 14:01:12

Bozy
Membre
Distrib. : Debian Stretch 9.3
Noyau : Linux 4.9.0-6-amd64
(G)UI : kde
Inscription : 23-02-2018

Re : [Résolu] Update sous debian stretch

Bonjour ,
voila le resultat du commande:


ls -lR /etc/apt


/etc/apt:
total 92
drwxr-xr-x 2 root root  4096 févr. 23 14:28 apt.conf.d
-rw-r--r-- 1 root root   104 nov.  23 10:29 listchanges.conf
drwxr-xr-x 2 root root  4096 févr. 23 14:46 preferences.d
-rw-r--r-- 1 root root   821 févr. 23 14:42 sources.list
-rw-r--r-- 1 root root     0 nov.  23 09:50 sources.list~
drwxr-xr-x 2 root root  4096 févr. 23 12:02 sources.list.d
-rw-r--r-- 1 root root   740 févr. 23 14:42 sources.list.save
-rw-r--r-- 1 root root  5809 févr. 23 14:28 trusted.gpg
-rw-r--r-- 1 root root  1214 févr. 23 14:28 trusted.gpg~
drwxr-xr-x 2 root root  4096 févr. 23 13:46 trusted.gpg.d
-rw-r--r-- 1 root root 51870 janv. 30 10:13 trusted.gpg.old

/etc/apt/apt.conf.d:
total 52
-rw-r--r-- 1 root root   82 nov.  23 09:50 00CDMountPoint
-rw-r--r-- 1 root root   40 nov.  23 09:50 00trustcdrom
-rw-r--r-- 1 root root  769 sept. 13 19:47 01autoremove
-r--r--r-- 1 root root 2161 févr. 23 14:28 01autoremove-kernels
-rw-r--r-- 1 root root  130 févr. 23 14:41 20auto-upgrades
-rw-r--r-- 1 root root  202 avril 11  2017 20listchanges
-rw-r--r-- 1 root root 1040 mars   8  2017 20packagekit
-rw-r--r-- 1 root root 1470 janv. 22  2017 50appstream
-rw-r--r-- 1 root root 4259 nov.  23 10:29 50unattended-upgrades
-rw-r--r-- 1 root root  319 janv. 19  2017 60apper
-rw-r--r-- 1 root root  458 janv. 19  2017 60plasma-discover
-rw-r--r-- 1 root root  182 mai   21  2017 70debconf

/etc/apt/preferences.d:
total 0

/etc/apt/sources.list.d:
total 48
-rw-r--r-- 1 root root 189 févr. 23 14:42 google-chrome.list
-rw-r--r-- 1 root root 189 févr. 23 14:42 google-chrome.list.save
-rw-r--r-- 1 root root 110 févr. 23 14:42 nodesource.list
-rw-r--r-- 1 root root 110 févr. 23 14:42 nodesource.list.save
-rw-r--r-- 1 root root  48 févr. 23 14:42 php.list
-rw-r--r-- 1 root root  48 févr. 23 14:42 php.list.save                                                                                                                                                                          
-rw-r--r-- 1 root root  56 févr. 23 14:42 skype-stable.list                                                                                                                                                                      
-rw-r--r-- 1 root root  56 févr. 23 14:42 skype-stable.list.save                                                                                                                                                                
-rw-r--r-- 1 root root  47 févr. 23 14:42 sublime-text.list                                                                                                                                                                      
-rw-r--r-- 1 root root  47 févr. 23 14:42 sublime-text.list.save                                                                                                                                                                
-rw-r--r-- 1 root root  69 févr. 23 14:42 virtualbox.list                                                                                                                                                                        
-rw-r--r-- 1 root root  69 févr. 23 14:42 virtualbox.list.save                                                                                                                                                                  
                                                                                                                                                                                                                                 
/etc/apt/trusted.gpg.d:                                                                                                                                                                                                          
total 0

Hors ligne

#4 23-02-2018 14:20:28

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : [Résolu] Update sous debian stretch

update sous debian stretch

Super le titre, mais le mieux est de l'indiquer dans ton profil :
Afin de nous permettre de vous communiquer les meilleurs réponses, ou d'entendre au mieux tes interventions, il est bon de renseigner de manière permanente sous ton avatar la configuration du (des) PC que tu utilises.
Voir le tuto : Trop cool d'indiquer son installation dans son profil ! big_smile

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#5 23-02-2018 14:24:42

èfpé
Membre
Inscription : 10-07-2016

Re : [Résolu] Update sous debian stretch

Re-,

OK ; l'absence de trousseau dans le répertoire /etc/apt/trusted.gpg.d n'est pas standard,

apt-key list


Montrera les clés publiques présentes dans le fichier trusted.gpg (qui a dû bien morfler).

Hors ligne

#6 23-02-2018 14:30:36

Bozy
Membre
Distrib. : Debian Stretch 9.3
Noyau : Linux 4.9.0-6-amd64
(G)UI : kde
Inscription : 23-02-2018

Re : [Résolu] Update sous debian stretch

j'ai ceci en retour

 


apt-key list
/etc/apt/trusted.gpg
--------------------
pub   rsa2048 2016-06-22 [SC] [expires: 2021-06-21]
      D404 0146 BE39 7250 9FD5  7FC7 1F30 45A5 DF75 87C3
uid           [ unknown] Skype Linux Client Repository <se-um@microsoft.com>
sub   rsa2048 2016-06-22 [E] [expires: 2021-06-21]

pub   rsa4096 2016-04-12 [SC]
      EB4C 1BFD 4F04 2F6D DDCC  EC91 7721 F63B D38B 4796
uid           [ unknown] Google Inc. (Linux Packages Signing Authority) <linux-packages-keymaster@google.com>
sub   rsa4096 2016-04-12 [S] [expires: 2019-04-12]
sub   rsa4096 2017-01-24 [S] [expires: 2020-01-24]
 

Hors ligne

#7 23-02-2018 14:44:42

èfpé
Membre
Inscription : 10-07-2016

Re : [Résolu] Update sous debian stretch

Re-,

OK ; effectivement il n'y a plus grand-chose dans cette version du fichier ;

apt-key --keyring /etc/apt/trusted.gpg.d/trusted.gpg.old list


Peut-être restaurer la version du 30 janvier, si toutes les clés s'y trouvent.

Hors ligne

#8 23-02-2018 14:49:00

Bozy
Membre
Distrib. : Debian Stretch 9.3
Noyau : Linux 4.9.0-6-amd64
(G)UI : kde
Inscription : 23-02-2018

Re : [Résolu] Update sous debian stretch

et je ferai quoi après avoir exécuté cette dernière commande?

Hors ligne

#9 23-02-2018 16:06:35

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-2-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017

Re : [Résolu] Update sous debian stretch

oui , bonjour bozy ,

(j'allais oublier)

sinon , si ça peut aider , voilà deux liens utiles :

wiki : clés et authentification

planet libre : signatures

si les  commandes de èfpé ne fonctionnent  pas , tu seras obligé de reprendre tes clés une par une :

y a du boulot

et puis perdre 2-3 clés , passe encore ;

mais plus d'une douzaine , tu as fait fort !

au cas où tu sois obligé , je te souhaite bonne chance pour récupérer tes clés une à une !

c'est pas difficile mais , vu l'ampleur de la casse , ça s'annonce long .

très long ....  au moins la journée .

Dernière modification par Debian Alain (23-02-2018 17:41:59)


1498812139.jpg    Antonio Vivaldi - Winter (Trance Remix) 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

#10 23-02-2018 16:42:42

èfpé
Membre
Inscription : 10-07-2016

Re : [Résolu] Update sous debian stretch

Re-,

@Debian Alain : la commande proposée en #7 ne va pas régler le souci mais afficher les clés présentes au 30 janvier.

@Bozy : tu peux vérifier si le paquet debian-archive-keyring est bien installé et restaurer ce trousseau au bon endroit ;

apt policy debian-archive-keyring

debian-archive-keyring:
  Installé : 2017.5
  Candidat : 2017.5
 Table de version :
 *** 2017.5 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
        100 /var/lib/dpkg/status


cp -v /usr/share/keyrings/debian-archive-keyring.gpg /etc/apt/trusted.gpg.d

'/usr/share/keyrings/debian-archive-keyring.gpg' -> '/etc/apt/trusted.gpg.d/debian-archive-keyring.gpg'


Quant aux six dépôts tiers, les clés publiques correspondantes pourraient se trouver dans le fichier trusted.gpg.old,

cd /etc/apt && rm trusted.gpg trusted.gpg~ && mv trusted.gpg.old trusted.gpg


Bon, je reconnais que c'est un peu bricolo, mais il y a visiblement eu pas mal de manips hasardeuses sur ce système !

Hors ligne

#11 26-02-2018 07:42:02

Bozy
Membre
Distrib. : Debian Stretch 9.3
Noyau : Linux 4.9.0-6-amd64
(G)UI : kde
Inscription : 23-02-2018

Re : [Résolu] Update sous debian stretch

merci beaucoup les amis!! j'ai suivais ce que vous m'avez propose et puis ca a marche.
d'abord , fait  #10 et il m'a manque une clé quand je fait update et puis j'ai suivi le tuto dans le lien que Debian Alain a donne dans #9 et tada!! smile

apt-get update


Ign:1 http://deb.debian.org/debian stretch InRelease                                                                                              
Ign:2 http://dl.google.com/linux/chrome/deb stable InRelease                                                                                      
Atteint:3 http://download.virtualbox.org/virtualbox/debian stretch InRelease                                                                      
Atteint:4 http://security.debian.org/debian-security stretch/updates InRelease                                                                    
Réception de:6 http://ro.alwayshere.net stable InRelease [33,4 kB]                                                                                
Atteint:7 http://dl.google.com/linux/chrome/deb stable Release                                                                  
Atteint:9 http://deb.debian.org/debian stretch-updates InRelease                                                                
Atteint:10 http://deb.debian.org/debian stretch-proposed-updates InRelease                                                                
Ign:5 http://cdn-fastly.deb.debian.org/debian stretch InRelease                                                                                    
Atteint:11 https://repo.skype.com/deb stable InRelease                                                                    
Atteint:12 https://deb.nodesource.com/node_8.x stretch InRelease                                  
Atteint:13 http://deb.debian.org/debian stretch Release                                          
Atteint:16 https://download.sublimetext.com apt/dev/ InRelease                                    
Atteint:17 https://packages.sury.org/php stretch InRelease  
Atteint:14 http://cdn-fastly.deb.debian.org/debian stretch Release
33,4 ko réceptionnés en 3s (8 563 o/s)
Lecture des listes de paquets... Fait
 

Hors ligne

#12 26-02-2018 08:56:20

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : [Résolu] Update sous debian stretch

Bozy a écrit :

et tada!!


Alors, mettre le post en résolu ?
Voir le lien :
\o/
Voir le tuto : C'est résolu ! Bravo mais il faut l'indiquer dans l'titre. wink


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#13 26-02-2018 08:57:35

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : [Résolu] Update sous debian stretch

Et pour la suite :
Afin de nous permettre de vous communiquer les meilleurs réponses, ou d'entendre au mieux tes interventions, il est bon de renseigner de manière permanente sous ton avatar la configuration du (des) PC que tu utilises.
Voir le tuto : Trop cool d'indiquer son installation dans son profil !

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#14 09-09-2018 16:15:57

Gnullalo Jim Jr
Membre
Distrib. : Debian stretch
Noyau : Linux 4.9.0-8-amd64
(G)UI : GNOME Classique
Inscription : 09-09-2018

Re : [Résolu] Update sous debian stretch

Bonjour,

J'ai peut-être découvert une autre possibilité: faire d'abord

cd /etc/usr/share/keyrings


puis importer le fichier debian-archive-keyring.gpg dans gpg en tapant

gpg --import debian-archive-keyring.gpg


Vous pouvez faire pareil avec les autres fichiers du répertoire si ça vous dit. Il vous suffit dans ce cas de taper

ls

pour lister les autres fichiers afin de pouvoir piocher dans ce qui vous intéresse.
Debian a ainsi quelque chose à lire dans son fichier /etc/apt/trusted.gpg. Donc le message qui dit grosso modo: "les clés ont été ignorées car le fichier /etc/apt/trusted.gpg n'est pas lisible" ne devrait plus s'afficher après un

sudo apt-get update



La même chose est possible via le Gestionnaire de paquets Synaptic:
aller dans Configuration>Dépôts, puis dans l'onglet Authentification pour cliquer Import key files et chercher lesdits fichiers dans le répertoire /etc/usr/share/keyrings .
Une fois la manoeuvre terminée, cliquer Fermer, puis Recharger et admirer le résultat...

Mais à mon avis, le point sur lequel il faut insister c'est qu'il NE FAUT PAS SUPPRIMER LE FICHIER /etc/apt/trusted.gpg comme cela est conseillé ailleurs.
Ça revient à casser le témoin d'avertissement de gpg dans apt. Ce qui n'est pas trop grave si on est sûr de son fichier /etc/apt/sources.list. Mais quand même...

Si ma remarque fait doublon dans ce forum, je m'en excuse. Mais je pense qu'il est important d'insister sur ce point, pour éviter autant que possible que les nouveaux linuxiens abandonnent cette magnifique distribution qu'est Debian, faute d'avoir pu la mettre correctement à jour et profiter de son abondance. smile

Dernière modification par Gnullalo Jim Jr (31-10-2018 18:14:30)

Hors ligne

Pied de page des forums